<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  version="1.0">

  <xsl:import href="AG-html.xsl"/>
  
  <xsl:variable name="custom-css">
    <link rel="stylesheet" type="text/css" href="balisage-AG-html.css"/>
  </xsl:variable>
  
  <xsl:template match="div[@type='article']/line[@class='head']">
    <h1 class="article-title">
      <xsl:apply-templates/>
    </h1>
  </xsl:template>
  
  <xsl:template match="div[@type='section']/line[@class='head']">
    <h2 class="section-title">
      <xsl:apply-templates/>
    </h2>
  </xsl:template>
  
  <xsl:template priority="2"
    match="div[@type='section']/div[@type='section']/line[@class='head']">
    <h3 class="subsection-title">
      <xsl:apply-templates/>
    </h3>
  </xsl:template>
  
  <xsl:template priority="3"
    match="div[@type='section']/div[@type='section']/div[@type='section']/line[@class='head']">
    <h4 class="subsubsection-title">
      <xsl:apply-templates/>
    </h4>
  </xsl:template>
  
  <xsl:template match="line[@class='head']">
    <h5 class="title">
      <xsl:apply-templates/>
    </h5>
  </xsl:template>
  
</xsl:stylesheet>